# Web Test Practice

A simple .Net 7 website, with a playwright framework for testing. 

## Prerequisites

* Debian >=11
* Dotnet SDK 7.0
* Powershell 7.2

## Build / Test

**Web App**
```bash
cd MyWebApp
dotnet build
# Put the webapp in the background so we can run the tests
exec dotnet run &
```

**Playwright Tests**
```bash
cd PlaywrightTests
dotnet build

# If your local setup isn't complete, you'll need to
# install the playwright dependencies and webdrivers:
pwsh bin/Debug/net7.0/playwright.ps1 install
pwsh bin/Debug/net7.0/playwright.ps1 install-deps

dotnet test 
```


